# WithdrawalInitiated()

### event WithdrawalInitiated()

This event is emitted when a withdrawal is initiated, starting the cooldown period.&#x20;

```javascript
event WithdrawalInitiated(
    Token indexed pool,
    address indexed provider,
    uint256 indexed requestId,
    uint256 poolTokenAmount,
    uint256 reserveTokenAmount
);
```

| Parameter Name     | Type    | Description                                                                       |
| ------------------ | ------- | --------------------------------------------------------------------------------- |
| pool               | Token   | The address of the token being withdrawn                                          |
| provider           | address | The address withdrawing                                                           |
| requestId          | uint256 | The unique ID assigned to the withdrawal                                          |
| poolTokenAmount    | unit256 | The number of Bancor pool tokens (bnTokens) that will be burned by the withdrawal |
| reserveTokenAmount | unit256 | The number of tokens being withdrawn                                              |

### Uses

This event can be used to:

* Monitor initiated withdrawals

### Triggered By

This event is triggered by the following functions:

* initWithdrawal()
* initWithdrawalPermitted()


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/developer-guides/data-and-events/liquidity-data/withdrawalinitiated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
